Introducing TurboHex 1.0

Genkisoft TurboHex 1.0

Introducing TurboHex™ 1.0

Thank you for using Genkisoft TurboHex! TurboHex is a powerful and fast tool for viewing and editing files, physical disks, and logical drives. We believe TurboHex is a perfect addition tool for every power user's toolbox.

Features:

  • Edit files of any size.
  • Modify physical and logical disks of any size or view their contents.
  • Quickly navigate to any location.
  • Edit in hex or in ASCII.
  • Drag and drop files to open.
  • Quickly open files from context menus.
  • Even works on alternative media such as ZIP drives and SmartMedia!

System Requirements:

  • Windows 2000 or Windows XP
  • Internet Explorer 5.0 or better (included with Windows 2000)
  • User account with Administrator capabilities (for editing disks)

The help documentation is divided into the following sections:

  • The Main Window: Introduction to the basic design of Genkisoft TurboHex.
  • Editing Modes: The difference between viewing and editing.
  • Editing Files: Working with raw files.
  • Editing Physical Disks: Information on editing physical disks.
  • Editing Logical Disks: Information on editing logical disks.
  • Going to a Location: Navigating to different locations quickly.
  • FAQ: Frequently Asked Questions.

Technical support and additional resources can be found at www.genkisoft.com. Please check out our website to give us feedback on our products and to try out our other offerings!

Copyright © 2003 Genkisoft. All rights reserved.


The Main Window

This is a brief overview designed to get you familiar with the Genkisoft TurboHex editor. You can start TurboHex by selecting the shortcut on the desktop or the start menu. This is the TurboHex main window:

There are three columns. The first column contains addresses of the first byte of each row. The second column contains the hex values for 16 bytes. The column is divided into two subcolumns of 8 bytes each for convenience. The final column contains the ASCII values for the same 16 bytes. Characters that are not in the default character set are displayed with a period.

Every other row has a subtle highlight to distiguish itself.

The status bar gives status information and addition information for the menus.


Editing Modes

Genkisoft TurboHex is a destructive editor. This means that changes are committed immediately. By default, TurboHex is set to read-only mode to prevent accidental changes.

Read-Only Mode:
While in read-only mode, no changes can be made to the opened object. To toggle read-only mode, select the Edit menu and check Read-Only. Some objects, such as CD-ROMs and read-only files can only be opened in read-only mode. If TurboHex detects one of these objects, it will be opened as read-only, even if TurboHex is currently set to read/write mode.

Read/Write Mode:
While in read/write mode, changes can be made to the opened object. To toggle read/write mode, select the Edit menu and uncheck Read-Only. While in read/write mode, a caret will appear to edit the object. To toggle between the hex pane and the ASCII pane, press the TAB key.


Editing Files

Genkisoft TurboHex has the ability to edit files. Go to the File menu and select Open File. The Open dialog will appear:

Select the file that you wish to edit. You may also drag and drop a file onto the TurboHex main window or you can specify the file on the command line.

Some files, such as Macintosh files that have been moved to an NTFS drive, may have multiple streams. If the file has more than one stream, you can select the alternate stream to edit from the combo box.

Running from the command line:
The path to the TurboHex executable may be added to the environment path on installation. To run TurboHex from the command line, type TurboHex.

usage: TurboHex [-f file[:stream]]
 file is the file to load when TurboHex is run.
stream is an NTFS alternate data stream, if desired.

Warning:
Keep in mind that editing a file may cause data loss if incorrectly edited.


Editing Physical Disks

Genkisoft TurboHex has the ability to edit raw disk data. Go to the File menu and select Open Physical Drive. The Open Physical Drive dialog will appear:

Select the drive that you wish to edit. Some BIOSes will disable writes to sector 0 of hard drives to prevent viruses. In order to write to these areas, you may need to disable this feature on bootup. Consult your motherboard's manual for more information.

Warning:
It is recommended that this operation not be done on a live disk that contains the operating system. The operating system may make writes to the disk, including writes to the swap file, that may nullify any changes that are done by TurboHex. Keep in mind that editing a disk may cause data loss or cause the disk to become unbootable if incorrectly edited.


Editing Logical Disks

Genkisoft TurboHex has the ability to edit logical disks as defined by the operating system and partition table. Go to the File menu and select Open Logical Drive. The Open Logical Drive dialog will appear:

Select the drive that you wish to edit. If the media is read-only, such as a CD-ROM, the drive will be opened for viewing only.

Warning:
It is recommended that this operation not be done on a live disk that contains the operating system. The operating system may make writes to the disk, including writes to the swap file, that may nullify any changes that are done by TurboHex. Keep in mind that editing a disk may cause data loss or cause the disk to become unbootable if incorrectly edited.


Going to a Location

Genkisoft TurboHex supports rapid naviation to any location in the object. Go to the Edit menu and select Go To. The Go To dialog will appear:

Enter your new location in the address box. The entered location is the byte offset from the start of the object and should be entered in decimal notation. To use hexadecimal notation, add '0x' to the front of the number as shown in the picture.


Frequently Asked Questions

These are common questions asked about Genkisoft TurboHex:

What is the largest sized object TurboHex can edit?
TurboHex has a built in limit of editing 2^64 bytes, or 18,446,744,073,709,551,616 bytes (16 exabytes), at once. This is larger than most other hex editors. Because this limit is so large there are other factors outside the control of TurboHex that influence the maximum size.

When viewing files, the file system limits will generally dictate the largest file size. Under the FAT file system, the maximum file size is 2 GBs. Under FAT32, this limit is extended to 4 GBs while under NTFS this limit is currently extended to 2 TBs.

When viewing logical drives, FAT has a limit of 4 GBs, FAT32 has a limit of 32 GBs (in Windows XP), and NTFS has a limit of 2 TBs. The theoretical limit of these file systems may be much higher, but current partition tables are limited to 2^32 sectors (2^32 sectors * 512 bytes = 2 TBs). The 2 TB limit can be exceeded by using sector sizes larger than 512 bytes, by using extended volume sets, or by using a GUID partition table.

The physical drive limits are far less restrictive and may be limited by your BIOS. Current physical drives do not even remotely approach the abilities of TurboHex. It will be some time before physical drives approach TurboHex's 16 exabyte limit.

How do I uninstall TurboHex?
If you need to uninstall TurboHex, you can remove it by going to the Control Panel, choosing Add/Remove Programs, and selecting Genkisoft TurboHex from the list. TurboHex will be completely removed, and unlike many other programs, will not leave extra files on your system. If you feel TurboHex is not the right program for your needs, please contact us at www.genkisoft.com and let us know why. We treat user feedback as a primary instrument for improving our applications.

Why does the Open Physical Drive dialog only show my hard drives?
The main reason for opening physical drives is to edit data outside of the boundaries of partitions. On media that does not have partitions, such as CD-ROM drives, the Open Logical Drive dialog already exposes all of the drive's data. Only hard drives have partitions, so only those are listed in the Open Physical Drive dialog.


.topic 1000
This is a list of all of the physical drives installed.

This list only includes drives that are capable of being partitioned. Physical drives without partitions, such as CD-ROMs, can be opened in the Open Logical Drives dialog.
.topic 1001
Open the selected physical drive.
.topic 1002
Cancel out of the dialog without opening any drives.
.topic 1003
This is a list of all of the logical drives installed.
.topic 1004
Open the selected logical drive.
.topic 1005
Cancel out of the dialog without opening any drives.
.topic 1006
This is the address to seek to. This address should be entered in hexadecimal.
.topic 1007
Seeks to the entered address.
.topic 1008
Cancel out of the dialog without seeking to a location.
.topic 1009
Lists the NTFS alternate data streams in this file.